Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class ContainerNameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.ContainerNameException

All Implemented Interfaces:
  java.io.Serializable

public class ContainerNameException
extends CollaborationException

Exception class that means that a container could not be created because the name specified for it is incompatible with the provider.

See Also:
  Serialized Form

Constructor Summary
`ContainerNameException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs a ContainerNameException.
`ContainerNameException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs a ContainerNameException.
`ContainerNameException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs a ContainerNameException.
`ContainerNameException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs a ContainerNameException.

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerNameException

    public ContainerNameException(com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs a ContainerNameException.

Parameters:
  `ctx` - the context
  `key` - the exception resource key

### ContainerNameException

    public ContainerNameException(com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key,
                                  java.lang.Object param)

  Constructs a ContainerNameException.

Parameters:
  `ctx` - the context
  `key` - the exception resource key
  `param` - a resource parameter

### ContainerNameException

    public ContainerNameException(java.lang.Throwable t,
                                  com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs a ContainerNameException.

Parameters:
  `t` - a throwable
  `ctx` - the context
  `key` - the exception resource key

### ContainerNameException

    public ContainerNameException(java.lang.Throwable t,
                                  com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key,
                                  java.lang.Object param)

  Constructs a ContainerNameException.

Parameters:
  `t` - a throwable
  `ctx` - the context
  `key` - the exception resource key
  `param` - a resource parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.